org.apache.fop.configuration

## Class DefaultConfiguration

- java.lang.Object
- - org.apache.fop.configuration.DefaultConfiguration

All Implemented Interfaces:
  Configuration

    public class DefaultConfiguration
    extends Object
    implements Configuration

### Constructor Summary

Constructors
Constructor and Description
`DefaultConfiguration(String key)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addChild(DefaultConfiguration configuration)`
`String` `getAttribute(String key)`
`String` `getAttribute(String key, String defaultValue)`
`boolean` `getAttributeAsBoolean(String key, boolean defaultValue)`
`float` `getAttributeAsFloat(String key)`
`float` `getAttributeAsFloat(String key, float defaultValue)`
`int` `getAttributeAsInteger(String key, int defaultValue)`
`String[]` `getAttributeNames()`
`Configuration` `getChild(String key)`
`Configuration` `getChild(String key, boolean required)`
`Configuration[]` `getChildren(String key)`
`String` `getLocation()`
`String` `getValue()`
`String` `getValue(String defaultValue)`
`boolean` `getValueAsBoolean()`
`boolean` `getValueAsBoolean(boolean defaultValue)`
`float` `getValueAsFloat()`
`float` `getValueAsFloat(float defaultValue)`
`int` `getValueAsInteger()`
`int` `getValueAsInteger(int defaultValue)`
`static String` `toString(Document document)` Deprecated. For debug only.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConfiguration

    public DefaultConfiguration(String key)

### Method Detail

#### toString

    public static String toString(Document document)

Deprecated. For debug only.

#### addChild

    public void addChild(DefaultConfiguration configuration)

#### getChild

    public Configuration getChild(String key)

Specified by:
  `getChild` in interface `Configuration`

#### getChild

    public Configuration getChild(String key,
                                  boolean required)

Specified by:
  `getChild` in interface `Configuration`

#### getChildren

    public Configuration[] getChildren(String key)

Specified by:
  `getChildren` in interface `Configuration`

#### getAttributeNames

    public String[] getAttributeNames()

Specified by:
  `getAttributeNames` in interface `Configuration`

#### getAttribute

    public String getAttribute(String key)

Specified by:
  `getAttribute` in interface `Configuration`

#### getAttribute

    public String getAttribute(String key,
                               String defaultValue)

Specified by:
  `getAttribute` in interface `Configuration`

#### getAttributeAsBoolean

    public boolean getAttributeAsBoolean(String key,
                                         boolean defaultValue)

Specified by:
  `getAttributeAsBoolean` in interface `Configuration`

#### getAttributeAsFloat

    public float getAttributeAsFloat(String key)
                              throws ConfigurationException

Specified by:
  `getAttributeAsFloat` in interface `Configuration`
Throws:
  `ConfigurationException`

#### getAttributeAsFloat

    public float getAttributeAsFloat(String key,
                                     float defaultValue)

Specified by:
  `getAttributeAsFloat` in interface `Configuration`

#### getAttributeAsInteger

    public int getAttributeAsInteger(String key,
                                     int defaultValue)

Specified by:
  `getAttributeAsInteger` in interface `Configuration`

#### getValue

    public String getValue()
                    throws ConfigurationException

Specified by:
  `getValue` in interface `Configuration`
Throws:
  `ConfigurationException`

#### getValue

    public String getValue(String defaultValue)

Specified by:
  `getValue` in interface `Configuration`

#### getValueAsBoolean

    public boolean getValueAsBoolean()
                              throws ConfigurationException

Specified by:
  `getValueAsBoolean` in interface `Configuration`
Throws:
  `ConfigurationException`

#### getValueAsBoolean

    public boolean getValueAsBoolean(boolean defaultValue)

Specified by:
  `getValueAsBoolean` in interface `Configuration`

#### getValueAsInteger

    public int getValueAsInteger()
                          throws ConfigurationException

Specified by:
  `getValueAsInteger` in interface `Configuration`
Throws:
  `ConfigurationException`

#### getValueAsInteger

    public int getValueAsInteger(int defaultValue)

Specified by:
  `getValueAsInteger` in interface `Configuration`

#### getValueAsFloat

    public float getValueAsFloat()
                          throws ConfigurationException

Specified by:
  `getValueAsFloat` in interface `Configuration`
Throws:
  `ConfigurationException`

#### getValueAsFloat

    public float getValueAsFloat(float defaultValue)

Specified by:
  `getValueAsFloat` in interface `Configuration`

#### getLocation

    public String getLocation()

Specified by:
  `getLocation` in interface `Configuration`